/* ============================================================================

   Copyright (C) 1997, 1998, ..., 2010  Konrad Bernloehr
   
   This file is part of sim_telarray (also known as sim_hessarray).

   The software in this file is free software: you can redistribute it 
   and/or modify it under the terms of the GNU General Public License 
   as published by the Free Software Foundation, either version 3 of 
   the License, or (at your option) any later version. 

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

============================================================================ */

/** @file sampling.h */

#ifdef __cplusplus
extern "C" {
#endif

void sample_offset (const char *sampling_fname, double core_range, 
   double theta, double phi, 
   double thetaref, double phiref, double offax, 
   double E, int primary,
   double *xoff, double *yoff, double *sampling_area);

#ifdef __cplusplus
}
#endif
